# Package stage
FROM node:14-alpine

WORKDIR /app

ADD dist/_nuxt/ /app/dist/_nuxt/
ADD dist/comm/ /app/dist/comm/
ADD dist/login/ /app/dist/login/
COPY dist/*.html /app/dist/
COPY dist/*.ico /app/dist/
COPY dist/*.png /app/dist/
COPY dist/*.svg /app/dist/
COPY dist/.* /app/dist/

RUN npm install -g serve

#ENV HOST 0.0.0.0

EXPOSE 3000

ENTRYPOINT ["serve", "-s", "dist", "-p", "3000"]
